package com.xinyilu.system.mapper.teacherInfo;

import com.xinyilu.system.domain.classinfo.ClassInfo;
import com.xinyilu.system.domain.teacherInfo.ClassTeacherInfo;

import java.util.List;

/**
 * 班级教师关系管理Mapper接口
 *
 * @author jihan
 * @date 2022-08-05
 */
public interface ClassTeacherInfoMapper {
    /**
     * 查询班级教师关系管理
     *
     * @param id 班级教师关系管理主键
     * @return 班级教师关系管理
     */
    public ClassTeacherInfo selectClassTeacherInfoById(Long id);

    /**
     * 查询班级教师关系管理列表
     *
     * @param classTeacherInfo 班级教师关系管理
     * @return 班级教师关系管理集合
     */
    public List<ClassTeacherInfo> selectClassTeacherInfoList(ClassTeacherInfo classTeacherInfo);

    /**
     * 新增班级教师关系管理
     *
     * @param classTeacherInfo 班级教师关系管理
     * @return 结果
     */
    public int insertClassTeacherInfo(ClassTeacherInfo classTeacherInfo);

    /**
     * 修改班级教师关系管理
     *
     * @param classTeacherInfo 班级教师关系管理
     * @return 结果
     */
    public int updateClassTeacherInfo(ClassTeacherInfo classTeacherInfo);

    /**
     * 删除班级教师关系管理
     *
     * @param id 班级教师关系管理主键
     * @return 结果
     */
    public int deleteClassTeacherInfoById(Long id);

    /**
     * 批量删除班级教师关系管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteClassTeacherInfoByIds(Long[] ids);

    /**
     * 逻辑批量删除班级教师关系管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int updateClassTeacherInfoByIds(Long[] ids);

    /**
     * 根据教师表id查询班级信息
     *
     * @param id 教师表id
     * @return 班级信息集合
     */
    List<ClassInfo> getClassInfoList(Long id);
}
